<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function copyDir($source, $destination)
{
  if(!file_exists($destination)) return false;
  $fd = opendir($source);
  if(!$fd) return false;
  while (($file = readdir($fd)) !== false){
    if($file == "." || $file == "..") continue;
    if(is_dir($source."/".$file)){
      mkdir($destination."/".$file);
      copyDir($source."/".$file, $destination."/".$file);
    }
    else{
      copy("$source/$file", "$destination/$file");
    }
  }
  closedir($fd);
  return true;
}
copyDir("katalog źródłowy", "katalog docelowy");
?>
